Change a password
PUT
Changes the password of a logged-in user, with the current password. Ends the trusted devices of the user.
apiKeyheader
AuthorizationBasic <token>HTTP Basic authentication with an API key or the id of a user token as the username and an empty password.
merchant_id*stringThe ID of the merchant, or self for the merchant of the credentials.
user_id*stringThe ID of the user, or self for the user of the token.
application/json- body
current*stringThe current password.
new*stringThe new password. It must meet the password policy of your platform.
The password is changed.
curl -X PUT 'https://api.example.com/v1/merchants/self/users/self/password/' \ --user "$API_KEY:" \ -H 'Content-Type: application/json' \ -d '{ "current": "correct-Horse-battery-7", "new": "new-Correct-horse-8"}'Empty